# cpp-unity-template

## Compiling the project

Prerequisites
  - C++11

In order to compile the project, simply run these two commands:

    cmake -B build -S .
    cmake --build build

## Running the Project

The program should now be compiled at build/bin/something

Simply run the program using:

    build/bin/something

## Testing the Project

Prerequisites
  - [Unity (Throw the Switch)](https://github.com/ThrowTheSwitch/Unity) | [AUR](https://aur.archlinux.org/packages/unity-test)

In order to compile the tests for the project, simply run these two commands:

    cmake -DCMAKE_BUILD_TYPE=Debug -B build -S .
    cmake --build build

The program should now be compiled at build/bin/tests

Simply run the tests using:

    build/bin/tests